/**
 * @license Copyright (c) 2017-2025, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md.
 */

'use strict';

const AbstractParser = require( './abstractparser' );

module.exports = class ModuleParser extends AbstractParser {
	/**
	 * @param {TypedocReflectionMeta} item
	 * @returns {Boolean}
	 */
	canParse( item ) {
		return item.kindString === 'Module';
	}

	/**
	 * @param {TypedocReflection<'Module'>} item
	 * @returns {Object}
	 */
	parse( item ) {
		return {
			name: item.name,
			longname: this.getLongName( item ),
			kind: this.getKind( item ),
			extraId: this.getExtraId( item ),
			file: this.getFile( item )
		};
	}
};
