/**
 * @license Copyright (c) 2017-2025, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md.
 */

'use strict';

const upath = require( 'upath' );
const cpx = require( 'cpx' );
const chalk = require( 'chalk' );

module.exports = hexoManager => new Promise( resolve => {
	console.log( chalk.yellow( 'Umberto is in watch mode press CTRL+C to exit.' ) );
	const originPaths = hexoManager.getOriginPaths();

	for ( const item of originPaths ) {
		const path1 = upath.join( item.originPath, '*.md' );
		const path2 = upath.join( item.originPath, '**', '*.md' );

		cpx.watch( path1, item.dstPath, { initialCopy: false } );
		cpx.watch( path2, item.dstPath, { initialCopy: false } );
	}

	process.on( 'SIGINT', function() {
		resolve();
		process.exit();
	} );
} );
