/**
 * @license Copyright (c) 2017-2025, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md.
 */

import $ from 'jquery';

/**
 * Displays a warning banner on top of the page with a pre-defined message.
 *
 * @param {String} message
 */
export default function showWarningBanner( message ) {
	const warningElement = $( '<div class="warning-banner"></div>' );

	warningElement.append( `<span>⚠️ Warning</span><span>${ message }</span>` );
	warningElement.appendTo( 'header.top' );
}
